%define upstream_name    Unicode-LineBreak
%define upstream_version 2012.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    UAX #14 Unicode Line Breaking Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.260.0
BuildRequires: perl(MIME::Charset)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl-devel
%description
Text::LineFold folds or unfolds lines of plain text. As it mainly focuses
on plain text e-mail messages, RFC 3676 flowed format is also supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2012.100.0-2.mga3
+ Revision: 374613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 1:2012.100.0-1.mga3
+ Revision: 302408
- update to 2012.10

* Tue Jun 05 2012 jquelin <jquelin> 1:2012.60.0-1.mga3
+ Revision: 255568
- update to 2012.06

* Wed May 30 2012 jquelin <jquelin> 1:2012.20.0-2.mga3
+ Revision: 251286
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1:2012.20.0-1.mga2
+ Revision: 219838
- update to 2012.02

* Thu Jan 05 2012 jquelin <jquelin> 1:2011.120.0-1.mga2
+ Revision: 191336
- update to 2011.12

* Sat Nov 05 2011 kharec <kharec> 1:2011.110.0-1.mga2
+ Revision: 163535
- update to 2011.11

* Wed Jun 15 2011 jquelin <jquelin> 1:2011.50.0-1.mga2
+ Revision: 107543
- update to 2011.05

* Sun Jun 12 2011 sander85 <sander85> 1:2011.40.0-2.mga2
+ Revision: 105094
- Rebuild for perl 5.14

* Mon Apr 04 2011 jquelin <jquelin> 1:2011.40.0-1.mga1
+ Revision: 80392
- update to 2011.04

* Thu Mar 24 2011 jquelin <jquelin> 1:2011.3.21-1.mga1
+ Revision: 76672
- update to 2011.03.21

* Thu Mar 10 2011 jquelin <jquelin> 1:2011.3.5-1.mga1
+ Revision: 67438
- bump epoch - damned upstream version
- update to 2011.03.05

* Wed Feb 16 2011 jquelin <jquelin> 2011.10.0-1.mga1
+ Revision: 52374
- update to 2011.01

* Sat Jan 22 2011 jquelin <jquelin> 1.11.0-1.mga1
+ Revision: 32533
- mageia rebuild
- imported package perl-Unicode-LineBreak

